### Method

# Fwupd Device set_version

#### Declaration [src]

    void
    fwupd_device_set_version (
      FwupdDevice* self,
      const gchar* version
    )

#### Description [src]

Sets the device version.

Available since: | 0.9.3

Sets property | `Fwupd.Device:version`

#### Parameters

`version` | `const gchar*`
| The device version, e.g. `1.2.3`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.